Debian Bug report logs - #614458
freej: FTBFS: common.h:154: error: 'UINT64_C' was not declared in this scope

version graph

Package: src:freej; Maintainer for src:freej is Luca Bigliardi <shammash@artha.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 21 Feb 2011 22:40:33 UTC

Severity: serious

Tags: sid, wheezy

Found in version freej/0.10git20100110-1

Fixed in version 0.10git20100110-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#614458; Package src:freej. (Mon, 21 Feb 2011 22:40:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Luca Bigliardi <shammash@artha.org>. (Mon, 21 Feb 2011 22:40:36 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: freej: FTBFS: common.h:154: error: 'UINT64_C' was not declared in this scope
Date: Mon, 21 Feb 2011 23:28:24 +0100
Source: freej
Version: 0.10git20100110-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110221 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> /bin/bash ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src -I..    -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include     -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./lib/ccvt            -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./lib/slw             -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./lib/flash                                                               -I/usr/include/freetype2                              -DXP_UNIX -DJS_THREADSAFE -I/usr/include/mozjs -I/usr/include/nspr   -DJS_GCMETER        -I/usr/include/opencv         -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL            -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL         -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL       -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL         -pthread                  -I/usr/include/unicap         -pthread -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libdrm           -DPREFIX="\"/usr\"" -DDATADIR="\"/usr/share\"" -DPACKAGE_DATA_DIR="\"/usr/share/freej\"" -DPACKAGE_LIB_DIR="\"/usr/lib/freej\"" -pipe -D_REENTRANT -freg-struct-return -fPIC -Wall -g -ggdb -g -O2 -g -O2 -c -o context.lo /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/context.cpp
> libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src -I.. -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./lib/ccvt -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./lib/slw -I/build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./lib/flash -I/usr/include/freetype2 -DXP_UNIX -DJS_THREADSAFE -I/usr/include/mozjs -I/usr/include/nspr -DJS_GCMETER -I/usr/include/opencv -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/SDL -pthread -I/usr/include/unicap -pthread -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libdrm -DPREFIX=\"/usr\" -DDATADIR=\"/usr/share\" -DPACKAGE_DATA_DIR=\"/usr/share/freej\" -DPACKAGE_LIB_DIR=\"/usr/lib/freej\" -pipe -D_REENTRANT -freg-struct-return -fPIC -Wall -g -ggdb -g -O2 -g -O2 -c /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/context.cpp  -fPIC -DPIC -o .libs/context.o
> In file included from /usr/include/libavutil/avutil.h:81,
>                  from /usr/include/libavcodec/avcodec.h:30,
>                  from /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include/video_layer.h:26,
>                  from /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/context.cpp:47:
> /usr/include/libavutil/common.h: In function 'int32_t av_clipl_int32(int64_t)':
> /usr/include/libavutil/common.h:154: error: 'UINT64_C' was not declared in this scope
> In file included from /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include/xscreensaver_layer.h:26,
>                  from /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include/impl_layers.h:52,
>                  from /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/context.cpp:50:
> /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include/vroot.h: In function 'Window VirtualRootWindowOfScreen(Screen*)':
> /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include/vroot.h:117: warning: comparison between signed and unsigned integer expressions
> /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include/vroot.h: At global scope:
> /build/user-freej_0.10git20100110-1-amd64-OKKQCT/freej-0.10git20100110/./src/include/vroot.h:83: warning: 'Window VirtualRootWindowOfScreen(Screen*)' defined but not used
> make[4]: *** [context.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/02/21/freej_0.10git20100110-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Removed tag(s) squeeze. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:12:24 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:13:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#614458; Package src:freej. (Mon, 28 Feb 2011 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jaromil <jaromil@dyne.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Mon, 28 Feb 2011 11:15:07 GMT) Full text and rfc822 format available.

Message #14 received at 614458@bugs.debian.org (full text, mbox):

From: Jaromil <jaromil@dyne.org>
To: 614458@bugs.debian.org
Subject: freej - FTBFS (#614458)
Date: Mon, 28 Feb 2011 12:11:26 +0100
[Message part 1 (text/plain, inline)]
----- Forwarded message from Jaromil <jaromil@dyne.org> -----

[SNIP]

i'm hereby reacting on the bug #614458 which seems quite serious: it
blocks compilation of freej* and libfreej* (for which i'm uploader and
upstream). this bug, along with others which weren't yet processed by
the buildbot, was fixed in october 2010 (namely a patch for
compilation on amd64).

i've given it a sping and packaged a new upstream import
(0.11-git20110225-1) and got it ready on our own apt repository at
dyne.org - for your convenience.

 deb http://apt.dyne.org stable main
 deb-src http://apt.dyne.org stable main

you'll find the source and i386 + amd64 binaries.

this package fixes some previously open lintian issues and leave open
just some less relevant issues (wishlist and one normal), but most
importantly it compiles correctly with pbuilder and should finally
close bug #614458

[SNIP]

ciao

----- End forwarded message -----

[signature.asc (application/pgp-signature, inline)]

Added indication that bug 614458 blocks 614726 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 01 Mar 2011 12:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#614458; Package src:freej. (Tue, 15 Mar 2011 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Tue, 15 Mar 2011 17:03:06 GMT) Full text and rfc822 format available.

Message #21 received at 614458@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Jaromil <jaromil@dyne.org>, 614458@bugs.debian.org
Subject: Re: Bug#614458: freej - FTBFS (#614458)
Date: Tue, 15 Mar 2011 17:58:31 +0100
[Message part 1 (text/plain, inline)]
Jaromil <jaromil@dyne.org> wrote:
> 
> this package fixes some previously open lintian issues and leave open
> just some less relevant issues (wishlist and one normal), but most
> importantly it compiles correctly with pbuilder and should finally
> close bug #614458
> 

It doesn't fix #606717 though. I have a fixed package ready that fixes
both #614458 and #606717. The debdiff (made against current sid's
version) is attached.

Did you contact your Debian sponsor for the upload? If you/he
don't/doesn't have time, I can upload my NMU to fix the failures and
finally have a fixed version ready to migrate to testing. Otherwise,
pleae try to have your package fixed soon.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606717

Regards,

-- 
Mehdi Dogguy
[freej_0.10git20100110-1.1.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#614458; Package src:freej. (Thu, 17 Mar 2011 10:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jaromil <jaromil@dyne.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Thu, 17 Mar 2011 10:48:14 GMT) Full text and rfc822 format available.

Message #26 received at 614458@bugs.debian.org (full text, mbox):

From: Jaromil <jaromil@dyne.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 614458@bugs.debian.org
Subject: Re: Bug#614458: freej - FTBFS (#614458)
Date: Thu, 17 Mar 2011 11:33:56 +0100
[Message part 1 (text/plain, inline)]
hi Mehdi,

thanks for your patch!

Filippo is reviewing my package and has a few remarks about it, i hope
to get them fixed this weekend and also include your fix for #606717
much appreciated.

ciao


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#614458; Package src:freej. (Mon, 25 Apr 2011 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jaromil <jaromil@dyne.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Mon, 25 Apr 2011 17:03:06 GMT) Full text and rfc822 format available.

Message #31 received at 614458@bugs.debian.org (full text, mbox):

From: Jaromil <jaromil@dyne.org>
To: 614458@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#614458: freej - FTBFS (#614458)
Date: Mon, 25 Apr 2011 18:58:48 +0200
[Message part 1 (text/plain, inline)]
this is now all fixed and uploaded to

http://apt.dyne.org/debian/pool/main/f/freej/freej_0.11git20110420-1.dsc

my packaging is being reviewed and hopefully will serve as a base to
make me debian maintainer, since i'd really like to be able to fix
things by myself on packages for which i'm upstream developer.

if you have time for it, your support in my maintainer application is
very welcome.

thanks,
ciao


-- 
jaromil,  dyne.org developer,  http://jaromil.dyne.org
GPG: B2D9 9376 BFB2 60B7 601F 5B62 F6D3 FBD9 C2B6 8E39
Send bitcoins to:  1EJYtvuq39hoWcventcnnvhPXh6i5QDReM


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#614458; Package src:freej. (Sun, 13 Nov 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Sun, 13 Nov 2011 11:03:06 GMT) Full text and rfc822 format available.

Message #36 received at 614458@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Jaromil <jaromil@dyne.org>
Cc: 614458@bugs.debian.org, Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#614458: freej - FTBFS (#614458)
Date: Sun, 13 Nov 2011 12:01:15 +0100
On Mon, Apr 25, 2011 at 06:58:48PM +0200, Jaromil wrote:
> 
> this is now all fixed and uploaded to
> 
> http://apt.dyne.org/debian/pool/main/f/freej/freej_0.11git20110420-1.dsc
> 
> my packaging is being reviewed and hopefully will serve as a base to
> make me debian maintainer, since i'd really like to be able to fix
> things by myself on packages for which i'm upstream developer.
> 
> if you have time for it, your support in my maintainer application is
> very welcome.

What's the status? freej now has five release-critial bugs.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#614458; Package src:freej. (Fri, 18 Nov 2011 08:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jaromil <jaromil@dyne.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Fri, 18 Nov 2011 08:45:06 GMT) Full text and rfc822 format available.

Message #41 received at 614458@bugs.debian.org (full text, mbox):

From: Jaromil <jaromil@dyne.org>
To: Moritz Mühlenhoff <jmm@inutil.org>, 614458@bugs.debian.org
Cc: Jaromil <jaromil@dyne.org>, Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#614458: freej - FTBFS (#614458)
Date: Thu, 17 Nov 2011 09:36:44 +0100
[Message part 1 (text/plain, inline)]
On Sun, 13 Nov 2011, Moritz Mühlenhoff wrote:

> On Mon, Apr 25, 2011 at 06:58:48PM +0200, Jaromil wrote:
> > 
> > this is now all fixed and uploaded to
> > 
> > http://apt.dyne.org/debian/pool/main/f/freej/freej_0.11git20110420-1.dsc
> > 
> > my packaging is being reviewed and hopefully will serve as a base to
> > make me debian maintainer, since i'd really like to be able to fix
> > things by myself on packages for which i'm upstream developer.
> > 
> > if you have time for it, your support in my maintainer application is
> > very welcome.
> 
> What's the status? freej now has five release-critial bugs.

I recall having fixed bugs back then?

I'll look into the current bugs now.

thanks,
ciao

-- 
jaromil,  dyne.org developer,  http://jaromil.dyne.org
GPG: B2D9 9376 BFB2 60B7 601F 5B62 F6D3 FBD9 C2B6 8E39



[signature.asc (application/pgp-signature, inline)]

Added indication that bug 614458 blocks 654237 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 07:21:53 GMT) Full text and rfc822 format available.

Removed indication that bug 614458 blocks 654237 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 08:21:09 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 04 Mar 2012 11:07:30 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 11:07:37 GMT) Full text and rfc822 format available.

Message #50 received at 614458-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 606717-done@bugs.debian.org,614458-done@bugs.debian.org,616814-done@bugs.debian.org,620891-done@bugs.debian.org,621294-done@bugs.debian.org,631029-done@bugs.debian.org,631822-done@bugs.debian.org,640697-done@bugs.debian.org,
Cc: freej@packages.debian.org, freej@packages.qa.debian.org
Subject: Bug#662085: Removed package(s) from unstable
Date: Sun, 04 Mar 2012 11:00:14 +0000
Version: 0.10git20100110-1+rm

Dear submitter,

as the package freej has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/662085

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:43:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:16:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.